Announcement

Collapse
No announcement yet.

307 to 364

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • 307 to 364

    Fresh install of 364 files on server and restored db at 307.

    Ran upgrade script and this is what I get: ANy ideas ?

    Database error in vBulletin :
    Invalid SQL:
    SELECT version() AS version;
    MySQL Error : You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near '() AS version' at line 1
    Error Number : 1064
    Date : Monday, January 8th 2007 @ 01:30:11 PM
    Script : http://www..ws/dirt/install/upgrade.php
    Referrer :
    IP Address :
    Username :
    Classname : vb_database

  • #2
    You should not install 3.6.4 and then restore a database and then run upgrade.

    Start over, doing it like this:

    * Restore the 3.0.7 database into a new database
    * Upload the 3.6.4 files
    * Update config.php from 3.6.4 to point to this 3.0.7 database
    * Run upgrade.php

    If you already have a 3.6.4 installed and are using it live, do the following instead:

    * Backup the 3.6.4 database
    * Install impex on top of 3.6.4
    * Point config.php from impex to the 3.0.7 database
    * Run impex from the admincp
    * When done, uninstall impex

    Comment


    • #3
      Thanks for the reply !!

      The order you stated was done exactly that way.

      Restored 307 database into new database
      Uploaded 364
      Ran upgrade script.

      I have upgraded many times in my past and am by no means an expert, but I do know the basics and am stumped here.

      I reloaded all install / includes file again in ASCii to be sure.

      Help ?

      Comment


      • #4
        To be honest, if all the files are upploaded 100% correctly you should not get this. Why aren't you directly upgrading the 3.0.7, but restoring a backup first?
        Maybe the MySQL versions differ from old / new server?

        Comment

        Loading...
        Working...
        X